晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 254|回复: 1
打印 上一主题 下一主题

[每日一码] 取两点,然后计算距离写到文本或者属性实体里面。

[复制链接]
咪乐|直播|苹果版下载官网 中国空军飞越对马海峡赴日本海国际空域远洋训练,合法、合理、合情。

已领礼包: 20个

财富等级: 恭喜发财

跳转到指定楼层
楼主
发表于 2021-11-28 19:30:25 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 marting 于 2021-11-28 19:32 编辑
(defun C:tt (/ *error* lst e)  (defun *error* (msg)
    (princ "\nSorry that I forced you to press Esc, to exit!")
    (princ)
  )
  (if (and
        (car (setq lst (list (getpoint "\nFirst point: "))))
        (apply
          'and
          (setq lst (append
                      lst
                      (list (getpoint "\nSecond point: " (car lst)))
                    )
          )
        )
      )
    (while (not (and
                  (setq e (car (nentsel (strcat "\nDistance to fill is: \""
                                                (rtos (apply
                                                        'distance
                                                        lst
                                                      )
                                                ) "\" units, Select text/mtext/attrib."
                                        )
                               )
                          )
                  )
                  (vl-position (cdr (assoc 0 (entget e))) '("TEXT" "MTEXT"
                                "ATTRIB"
                               )
                  )
                  (not (vl-catch-all-error-p (vl-catch-all-apply 'vla-put-TextString
                                                                 (list
                                                                       (vlax-ename->vla-object e)
                                                                       (rtos
                                                                             (apply
                                                                               'distance
                                                                               lst
                                                                             )
                                                                       )
                                                                 )
                                             )
                       )
                  )
                )
           )
      e
    )
  )
  (princ)
)

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 922个

财富等级: 财运亨通

沙发
发表于 2021-11-28 05:16:44 | 只看该作者
感谢分享取两点,然后计算距离写到文本或者属性实体里面。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-11-28 19:02 , Processed in 0.703362 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表
百度